{-------------------------------------------------------------}
{
{    Informaes sobre os dispositivos multimidia
{
{    Autor: Jose' Antonio Borges
{
{    Em 09/04/2008
{
{-------------------------------------------------------------}

unit hardaud;

interface

uses
  dvCrt,
  dvExec,
  dvWin,
  dvForm,
  windows,
  sysutils,
  hardmsg,
  mmsystem;

procedure infoAudio;

implementation

{-------------------------------------------------------------}
{                  informaes sobre udio
{-------------------------------------------------------------}

procedure infoAudio;
var i, ndev: integer;
    audioCap: WAVEOUTCAPS;
    midiCap: MIDIOUTCAPS;
begin
    garanteEspacoTela (23);
    writeln;
    ndev := WaveOutGetNumDevs;
    if ndev < 1 then
        begin
            mensagem ('HVSEMWAV', 2);    {'Essa mquina no tem dispositivos de udio'}
        end
    else
        begin
            mensagem ('HVSETWAV', 2);    {'udio - Use as setas para folhear'}

            opcoesCria (wherex, wherey, 40);
            for i := 0 to ndev-1 do
                begin
                    WaveOutGetDevCaps(i, @audioCap, sizeof (audioCap));
                    opcoesAdiciona('', audioCap.szPname);
                end;
            opcoesSeleciona;
        end;

    gotoxy (1, wherey + 2);

    ndev := MidiOutGetNumDevs;
    if ndev < 1 then
        begin
            mensagem ('HVSEMMID', 2);    {'Essa mquina no tem dispositivos de midi'}
        end
    else
        begin
            mensagem ('HVSETMID', 2);    {'Midi  - Use as setas para folhear'}

            opcoesCria (wherex, wherey, 40);
            for i := 0 to ndev-1 do
                begin
                    MidiOutGetDevCaps(i, @midiCap, sizeof (midiCap));
                    opcoesAdiciona('', midiCap.szPname);
                end;
            opcoesSeleciona;
        end;

    gotoxy (1, wherey + ndev);
end;

end.
