{-------------------------------------------------------------}
{
{    Informaes sobre o nome do computador
{
{    Autor: Jose' Antonio Borges
{
{    Em 09/04/2008
{
{-------------------------------------------------------------}

unit hardnome;

interface
uses
  dvCrt,
  dvExec,
  dvWin,
  dvForm,
  windows,
  sysutils,
  minireg,
  hardmsg;

procedure informacoesSistema;

implementation

function GetComputerName: string;
var
  buffer: array[0..256] of Char;
  Size: Cardinal;
begin
  Size := 256 + 1;
  Windows.GetComputerName(@buffer, Size);
  Result := StrPas(buffer);
end;

procedure informacoesSistema;
var
    sval: array [1..17] of shortString;
    baseReg: string;
    s: string;

    function rget (key: string): string;
    var s: string;
    begin
        RegGetString(HKEY_LOCAL_MACHINE, baseReg+key, s);
        result := s;
    end;

begin
    garanteEspacoTela(23);
    writeln;
    tamRotulosForm := 30;
    formCria;

    sval[1] := getComputerName;
    formCampo ('HVNMCOMP', pegaTextoMensagem('HVNMCOMP'), sval[1], 40);  // 'Nome do Computador'

    baseReg := 'SOFTWARE\Microsoft\Windows NT\CurrentVersion\';

    sval[2] := rget ('ProductName');
    formCampo ('HVSISTOP', pegaTextoMensagem('HVSISTOP'), sval[2], 40);  // 'Sistema Operacional'
    sval[3] := rget ('CurrentVersion');
    formCampo ('HVSISVER', pegaTextoMensagem('HVSISVER'), sval[3], 40);  // 'Verso atual'
    sval[4] := rget ('CSDVersion');
    formCampo ('HVSISVAT', pegaTextoMensagem('HVSISVAT'), sval[4], 40);  // 'Verso da Atualizao'
    sval[5] := rget ('RegisteredOwner');
    formCampo ('HVPROPRI', pegaTextoMensagem('HVPROPRI'), sval[5], 40);  // 'Proprietrio'
    sval[6] := rget ('RegisteredOrganization');
    formCampo ('HVORGAN', pegaTextoMensagem('HVORGAN'),   sval[6], 40);  // 'Organizao'
    sval[7] := rget ('CurrentType');
    formCampo ('HVTIPSIS', pegaTextoMensagem('HVTIPSIS'), sval[7], 40);  // 'Tipo de sistema'
    sval[8] := rget ('CurrentBuildNumber');
    formCampo ('HVNUMGER', pegaTextoMensagem('HVNUMGER'), sval[8], 40);  // 'Nmero de gerao atual'
    sval[9] := rget ('SystemRoot');
    formCampo ('HVROOTDI', pegaTextoMensagem('HVROOTDI'), sval[9], 40);  // 'Diretrio de Root'

    baseReg := 'SOFTWARE\Microsoft\DirectX\';
    s := rget ('Version');
    Delete(s, 1, POS('.', s));
    sval[10] := Copy(s, 1, POS('.', s)-1);
    Delete(s, 1, POS('.', s));
    sval[10] := sval[10] + '.' + Copy(s, 1, POS('.', s)-1);

    formCampo ('HVDIRECX', pegaTextoMensagem('HVDIRECX'), sval[10], 40);  // 'DirectX verso'

    formEdita(false);
   end;

end.
