{-------------------------------------------------------------}
{
{    Exibe usurios da mquina
{
{    Autor: Jose' Antonio Borges
{
{    Em 09/04/2008
{
{-------------------------------------------------------------}

unit harduser;

interface

uses
  dvCrt,
  dvExec,
  dvWin,
  dvForm,
  windows,
  minireg,
  sysutils,
  hardmsg;

procedure infoUsuarios;

implementation

{-------------------------------------------------------------}
{                 informa usurios da mquina
{-------------------------------------------------------------}

procedure infoUsuarios;
var nome, KeyList: String;
begin
    mensagem ('HVUSERS', 2);  // 'Usurios desta mquina'

    if not RegEnumKeys (HKEY_LOCAL_MACHINE,
                'SOFTWARE\Microsoft\Windows\CurrentVersion\Hints', KeyList) then
        writeln ('No h usurios registrados')
    else
        begin
            garanteEspacoTela  (22);
            keyList := keyList + #$0d + #$0a;
            opcoesCria (wherex, wherey, 30);
            while (keyList <> '') and (keyList[1] <> #$0) do
                begin
                    nome := copy (keyList, 1, pos (#$0d, keyList)-1);
                    opcoesAdiciona ('', nome);
                    delete (keyList, 1, length(nome) + 2);
                end;
            opcoesSeleciona;
        end;

    writeln;
end;

end.



